> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/commerce-openapis/data-warehouse/pretty-urls.md).

# Pretty Urls

## GET /pretty-urls/

> The Pretty URLs method retrieves a list of user-friendly and SEO-optimized URL formats, referred to as Pretty URLs. Each Pretty URL entry provides a mapping from the original, non-optimized URL (\`old\_path\`) to the optimized, user-friendly URL (\`new\_path\`).

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"PaginatedPrettyUrlList":{"properties":{"count":{"description":"Numerical value representing quantity or total amount.","type":"integer"},"next":{"description":"This field defines the URL of the next page.","format":"uri","nullable":true,"type":"string"},"previous":{"description":"This field defines the URL of the previous page.","format":"uri","nullable":true,"type":"string"},"results":{"description":"This field returns a list of results.","items":{"$ref":"#/components/schemas/PrettyUrl"},"type":"array"}},"type":"object"},"PrettyUrl":{"properties":{"args":{"description":"The positional arguments parsed from the URL and passed to the view.","items":{"maxLength":32,"type":"string"},"type":"array"},"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"func_initkwargs":{"description":"Keyword arguments passed to the view function."},"func_module":{"description":"The field defines the file name where the func_name is defined.","maxLength":256,"nullable":true,"type":"string"},"func_name":{"description":"The full name or label associated with the record.","maxLength":64,"nullable":true,"type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"kwargs":{"description":"The field defines any additional parameters for the shipping option."},"language":{"description":"The field defines the language code.","maxLength":10,"nullable":true,"type":"string"},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"new_path":{"description":"The field defines the URL to which the redirection will be made.","maxLength":512,"title":"Url to display","type":"string"},"old_path":{"description":"The field defines the URL at which the redirection will occur.","maxLength":1024,"nullable":true,"title":"Url to prettify","type":"string"},"parent":{"description":"The field defines the ID of the associated basket item, if there is a related basket item.","nullable":true,"type":"integer"},"query_params":{"description":"This field defines the query parameters included in the URL during the request."},"viewname":{"description":"The full name or label associated with the record.","maxLength":64,"nullable":true,"type":"string"}},"type":"object"}}},"paths":{"/pretty-urls/":{"get":{"description":"The Pretty URLs method retrieves a list of user-friendly and SEO-optimized URL formats, referred to as Pretty URLs. Each Pretty URL entry provides a mapping from the original, non-optimized URL (`old_path`) to the optimized, user-friendly URL (`new_path`).","operationId":"pretty_urls_list","parameters":[{"description":"Query parameter `args` used to filter results based on specific conditions.","in":"query","name":"args","schema":{"type":"string"}},{"description":"Query parameter `created_date` used to filter results based on specific conditions.","in":"query","name":"created_date","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `func_initkwargs` used to filter results based on specific conditions.","in":"query","name":"func_initkwargs","schema":{}},{"description":"Query parameter `func_module` used to filter results based on specific conditions.","in":"query","name":"func_module","schema":{"type":"string"}},{"description":"Query parameter `func_name` used to filter results based on specific conditions.","in":"query","name":"func_name","schema":{"type":"string"}},{"description":"Query parameter `id` used to filter results based on specific conditions.","in":"query","name":"id","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than the given value.","in":"query","name":"id__gt","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than or equal to the given value.","in":"query","name":"id__gte","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than the given value.","in":"query","name":"id__lt","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than or equal to the given value.","in":"query","name":"id__lte","schema":{"type":"integer"}},{"description":"Query parameter `kwargs` used to filter results based on specific conditions.","in":"query","name":"kwargs","schema":{}},{"description":"Query parameter `language` used to filter results based on specific conditions.","in":"query","name":"language","schema":{"type":"string"}},{"description":"Limits the number of results returned in the response.","in":"query","name":"limit","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `modified_date` used to filter results based on specific conditions.","in":"query","name":"modified_date","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than the given value.","in":"query","name":"modified_date__gt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than or equal to the given value.","in":"query","name":"modified_date__gte","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than the given value.","in":"query","name":"modified_date__lt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than or equal to the given value.","in":"query","name":"modified_date__lte","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `new_path` used to filter results based on specific conditions.","in":"query","name":"new_path","schema":{"type":"string"}},{"description":"Query parameter `old_path` used to filter results based on specific conditions.","in":"query","name":"old_path","schema":{"type":"string"}},{"description":"Query parameter `page` used to filter results based on specific conditions.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `parent` used to filter results based on specific conditions.","in":"query","name":"parent","schema":{"type":"integer"}},{"description":"Query parameter `query_params` used to filter results based on specific conditions.","in":"query","name":"query_params","schema":{}},{"description":"Query parameter `sort` used to filter results based on specific conditions.","in":"query","name":"sort","required":false,"schema":{"type":"string"}},{"description":"Query parameter `viewname` used to filter results based on specific conditions.","in":"query","name":"viewname","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedPrettyUrlList"}}},"description":"Successful response for status code 200."}},"tags":["pretty-urls"]}}}}
```

## GET /pretty-urls/{id}/

> The Pretty URLs method retrieves a list of user-friendly and SEO-optimized URL formats, referred to as Pretty URLs. Each Pretty URL entry provides a mapping from the original, non-optimized URL (\`old\_path\`) to the optimized, user-friendly URL (\`new\_path\`). This endpoint retrieves a specific record by its unique identifier.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"PrettyUrl":{"properties":{"args":{"description":"The positional arguments parsed from the URL and passed to the view.","items":{"maxLength":32,"type":"string"},"type":"array"},"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"func_initkwargs":{"description":"Keyword arguments passed to the view function."},"func_module":{"description":"The field defines the file name where the func_name is defined.","maxLength":256,"nullable":true,"type":"string"},"func_name":{"description":"The full name or label associated with the record.","maxLength":64,"nullable":true,"type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"kwargs":{"description":"The field defines any additional parameters for the shipping option."},"language":{"description":"The field defines the language code.","maxLength":10,"nullable":true,"type":"string"},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"new_path":{"description":"The field defines the URL to which the redirection will be made.","maxLength":512,"title":"Url to display","type":"string"},"old_path":{"description":"The field defines the URL at which the redirection will occur.","maxLength":1024,"nullable":true,"title":"Url to prettify","type":"string"},"parent":{"description":"The field defines the ID of the associated basket item, if there is a related basket item.","nullable":true,"type":"integer"},"query_params":{"description":"This field defines the query parameters included in the URL during the request."},"viewname":{"description":"The full name or label associated with the record.","maxLength":64,"nullable":true,"type":"string"}},"type":"object"}}},"paths":{"/pretty-urls/{id}/":{"get":{"description":"The Pretty URLs method retrieves a list of user-friendly and SEO-optimized URL formats, referred to as Pretty URLs. Each Pretty URL entry provides a mapping from the original, non-optimized URL (`old_path`) to the optimized, user-friendly URL (`new_path`). This endpoint retrieves a specific record by its unique identifier.","operationId":"pretty_urls_retrieve","parameters":[{"description":"A unique integer value identifying this pretty url.","in":"path","name":"id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrettyUrl"}}},"description":"Successful response for status code 200."},"404":{"content":{"application/json":{}},"description":"Object not found."}},"tags":["pretty-urls"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.akinon.com/commerce-openapis/data-warehouse/pretty-urls.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
